Create Invite Endpoint
POST
/api/v1/admin/users/invites
const url = 'https://example.com/api/v1/admin/users/invites';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","send_email":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/admin/users/invites \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "send_email": true }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
InviteCreateRequest
object
email
required
Email
Email address to invite.
string format: email
send_email
Send Email
Whether to email the invite link (only sent if SMTP is configured); the link is always returned regardless.
boolean
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
InviteCreated
Includes the invite link — only returned at creation time.
object
id
required
Id
Invite id.
integer
email
required
Email
Invited email address.
string
created_at
required
Created At
When the invite was created.
string format: date-time
created_by_user_id
required
Created By User Id
Id of the admin who created the invite.
integer
expires_at
required
Expires At
When the invite expires and can no longer be redeemed.
string format: date-time
invite_link
required
Invite Link
One-time invite acceptance URL; shown only in this creation response.
string
Example generated
{ "id": 1, "email": "example", "created_at": "2026-04-15T12:00:00Z", "created_by_user_id": 1, "expires_at": "2026-04-15T12:00:00Z", "redeemed_at": "2026-04-15T12:00:00Z", "revoked_at": "2026-04-15T12:00:00Z", "revoked_by_user_id": 1, "invite_link": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}